GNU Radio's AIS Package: gr::ais::corr_est_cc_impl Class Reference

GNU Radio's AIS Package

Public Member Functions | List of all members
gr::ais::corr_est_cc_impl Class Reference

`#include <corr_est_cc_impl.h>`

Inheritance diagram for gr::ais::corr_est_cc_impl:
[legend]

## Public Member Functions
| corr_est_cc_impl (const std::vector< gr_complex > &symbols, float sps, unsigned int mark_delay, float threshold=0.9)
| ~corr_est_cc_impl ()
std::vector< gr_complex > | symbols () const
void | set_symbols (const std::vector< gr_complex > &symbols)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
virtual std::vector< gr_complex > | symbols () const =0
virtual void | set_symbols (const std::vector< gr_complex > &symbols)=0

## Additional Inherited Members
Public Types inherited from gr::ais::corr_est_cc
typedef boost::shared_ptr< corr_est_cc > | sptr
Static Public Member Functions inherited from gr::ais::corr_est_cc
static sptr | make (const std::vector< gr_complex > &symbols, float sps, unsigned int mark_delay, float threshold=0.9)

## Constructor & Destructor Documentation

## ◆ corr_est_cc_impl()

gr::ais::corr_est_cc_impl::corr_est_cc_impl | ( | const std::vector< gr_complex > & | symbols,
|  | float | sps,
|  | unsigned int | mark_delay,
|  | float | threshold = `0.9`
| ) |  |

## ◆ ~corr_est_cc_impl()

gr::ais::corr_est_cc_impl::~corr_est_cc_impl | ( |  | ) |

## Member Function Documentation

## ◆ set_symbols()

void gr::ais::corr_est_cc_impl::set_symbols | ( | const std::vector< gr_complex > & | symbols | ) |
| virtual

Implements gr::ais::corr_est_cc.

## ◆ symbols()

std::vector< gr_complex > gr::ais::corr_est_cc_impl::symbols | ( |  | ) | const
| virtual

Implements gr::ais::corr_est_cc.

## ◆ work()

int gr::ais::corr_est_cc_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- corr_est_cc_impl.h